/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.base;

public class ApplicationData extends com.mysql.grt.GrtObject {

    protected ApplicationData() {
    }

    public ApplicationData(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new ApplicationDataDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new ApplicationDataDataGlobal((String) obj);
        }
    }

    public com.mysql.grt.GrtStringHashMap getCommonOptions() {
        return ((ApplicationDataData) data).getCommonOptions();
    }

    public com.mysql.grt.GrtStringHashMap setCommonOptions(com.mysql.grt.GrtStringHashMap commonOptions) {
        ((ApplicationDataData) data).setCommonOptions(commonOptions);

        return getCommonOptions();
    }

    public com.mysql.grt.GrtStringHashMap getOptions() {
        return ((ApplicationDataData) data).getOptions();
    }

    public com.mysql.grt.GrtStringHashMap setOptions(com.mysql.grt.GrtStringHashMap options) {
        ((ApplicationDataData) data).setOptions(options);

        return getOptions();
    }

    public com.mysql.grt.forms.Position getFormPositions() {
        return ((ApplicationDataData) data).getFormPositions();
    }

    public com.mysql.grt.forms.Position setFormPositions(com.mysql.grt.forms.Position formPositions) {
        ((ApplicationDataData) data).setFormPositions(formPositions);

        return getFormPositions();
    }

    public com.mysql.grt.base.ObjectEditorList getEditors() {
        return ((ApplicationDataData) data).getEditors();
    }

    public com.mysql.grt.base.ObjectEditorList setEditors(com.mysql.grt.base.ObjectEditorList editors) {
        ((ApplicationDataData) data).setEditors(editors);

        return getEditors();
    }

    public com.mysql.grt.base.PluginGroupList getPluginGroups() {
        return ((ApplicationDataData) data).getPluginGroups();
    }

    public com.mysql.grt.base.PluginGroupList setPluginGroups(com.mysql.grt.base.PluginGroupList pluginGroups) {
        ((ApplicationDataData) data).setPluginGroups(pluginGroups);

        return getPluginGroups();
    }

    public com.mysql.grt.base.PluginList getPlugins() {
        return ((ApplicationDataData) data).getPlugins();
    }

    public com.mysql.grt.base.PluginList setPlugins(com.mysql.grt.base.PluginList plugins) {
        ((ApplicationDataData) data).setPlugins(plugins);

        return getPlugins();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            if (getEditors() != null) {
                getEditors().getGrtXml(xml, " key=\"editors\"");
            }

            if (getPluginGroups() != null) {
                getPluginGroups().getGrtXml(xml, " key=\"pluginGroups\"");
            }

            if (getPlugins() != null) {
                getPlugins().getGrtXml(xml, " key=\"plugins\"");
            }

            if (getCommonOptions() != null) {
                getCommonOptions().getGrtXml(xml, " key=\"commonOptions\"");
            }

            if (getOptions() != null) {
                getOptions().getGrtXml(xml, " key=\"options\"");
            }

            if (getFormPositions() != null) {
                getFormPositions().getGrtXml(xml, " key=\"formPositions\"");
            }

        return xml;
    }
}
