/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.base;

public class ApplicationDataDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements ApplicationDataData {

    public ApplicationDataDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public com.mysql.grt.GrtStringHashMap getCommonOptions() {
        return (com.mysql.grt.GrtStringHashMap) getGrtGlobalAsObject("commonOptions");

    }

    public com.mysql.grt.GrtStringHashMap setCommonOptions(com.mysql.grt.GrtStringHashMap commonOptions) {
        setGrtGlobalFromObject("commonOptions", commonOptions);

        return getCommonOptions();
    }

    public com.mysql.grt.GrtStringHashMap getOptions() {
        return (com.mysql.grt.GrtStringHashMap) getGrtGlobalAsObject("options");

    }

    public com.mysql.grt.GrtStringHashMap setOptions(com.mysql.grt.GrtStringHashMap options) {
        setGrtGlobalFromObject("options", options);

        return getOptions();
    }

    public com.mysql.grt.forms.Position getFormPositions() {
        return (com.mysql.grt.forms.Position) getGrtGlobalAsObject("formPositions");

    }

    public com.mysql.grt.forms.Position setFormPositions(com.mysql.grt.forms.Position formPositions) {
        setGrtGlobalFromObject("formPositions", formPositions);

        return getFormPositions();
    }

    public com.mysql.grt.base.ObjectEditorList getEditors() {
        return (com.mysql.grt.base.ObjectEditorList) getGrtGlobalAsObject("editors");
    }

    public com.mysql.grt.base.ObjectEditorList setEditors(com.mysql.grt.base.ObjectEditorList editors) {
        setGrtGlobalFromObject("editors", editors);

        return getEditors();
    }

    public com.mysql.grt.base.PluginGroupList getPluginGroups() {
        return (com.mysql.grt.base.PluginGroupList) getGrtGlobalAsObject("pluginGroups");
    }

    public com.mysql.grt.base.PluginGroupList setPluginGroups(com.mysql.grt.base.PluginGroupList pluginGroups) {
        setGrtGlobalFromObject("pluginGroups", pluginGroups);

        return getPluginGroups();
    }

    public com.mysql.grt.base.PluginList getPlugins() {
        return (com.mysql.grt.base.PluginList) getGrtGlobalAsObject("plugins");
    }

    public com.mysql.grt.base.PluginList setPlugins(com.mysql.grt.base.PluginList plugins) {
        setGrtGlobalFromObject("plugins", plugins);

        return getPlugins();
    }

}
