/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.base;

public class ApplicationDataDataLocal extends com.mysql.grt.GrtObjectDataLocal implements ApplicationDataData {

    private com.mysql.grt.base.ObjectEditorList editors;

    private com.mysql.grt.base.PluginGroupList pluginGroups;

    private com.mysql.grt.base.PluginList plugins;

    private com.mysql.grt.GrtStringHashMap commonOptions;

    private com.mysql.grt.GrtStringHashMap options;

    private com.mysql.grt.forms.Position formPositions;

    public ApplicationDataDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public com.mysql.grt.GrtStringHashMap getCommonOptions() {
        if (commonOptions == null)
            commonOptions = new com.mysql.grt.GrtStringHashMap(this.grtObject);
        return commonOptions;
    }

    public com.mysql.grt.GrtStringHashMap setCommonOptions(com.mysql.grt.GrtStringHashMap commonOptions) {
        this.commonOptions = commonOptions;

        return getCommonOptions();
    }

    public com.mysql.grt.GrtStringHashMap getOptions() {
        if (options == null)
            options = new com.mysql.grt.GrtStringHashMap(this.grtObject);
        return options;
    }

    public com.mysql.grt.GrtStringHashMap setOptions(com.mysql.grt.GrtStringHashMap options) {
        this.options = options;

        return getOptions();
    }

    public com.mysql.grt.forms.Position getFormPositions() {
        if (formPositions == null)
            formPositions = new com.mysql.grt.forms.Position(this.grtObject);
        return formPositions;
    }

    public com.mysql.grt.forms.Position setFormPositions(com.mysql.grt.forms.Position formPositions) {
        this.formPositions = formPositions;

        return getFormPositions();
    }

    public com.mysql.grt.base.ObjectEditorList getEditors() {
        if (editors == null)
            editors = new com.mysql.grt.base.ObjectEditorList(this.grtObject);
        return editors;
    }

    public com.mysql.grt.base.ObjectEditorList setEditors(com.mysql.grt.base.ObjectEditorList editors) {
        this.editors = editors;
        return getEditors();
    }

    public com.mysql.grt.base.PluginGroupList getPluginGroups() {
        if (pluginGroups == null)
            pluginGroups = new com.mysql.grt.base.PluginGroupList(this.grtObject);
        return pluginGroups;
    }

    public com.mysql.grt.base.PluginGroupList setPluginGroups(com.mysql.grt.base.PluginGroupList pluginGroups) {
        this.pluginGroups = pluginGroups;
        return getPluginGroups();
    }

    public com.mysql.grt.base.PluginList getPlugins() {
        if (plugins == null)
            plugins = new com.mysql.grt.base.PluginList(this.grtObject);
        return plugins;
    }

    public com.mysql.grt.base.PluginList setPlugins(com.mysql.grt.base.PluginList plugins) {
        this.plugins = plugins;
        return getPlugins();
    }

}
