/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.base;

public class NamedGrtObject extends com.mysql.grt.GrtObject {

    protected NamedGrtObject() {
    }

    public NamedGrtObject(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new NamedGrtObjectDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new NamedGrtObjectDataGlobal((String) obj);
        }
    }

    public String getOldName() {
        return ((NamedGrtObjectData) data).getOldName();
    }

    public String setOldName(String oldName) {
        ((NamedGrtObjectData) data).setOldName(oldName);

        return getOldName();
    }

    public String getComment() {
        return ((NamedGrtObjectData) data).getComment();
    }

    public String setComment(String comment) {
        ((NamedGrtObjectData) data).setComment(comment);

        return getComment();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            if (getOldName() != null) {
                xml.append("<value type=\"string\" key=\"oldName\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getOldName()) + "</value>\n");
            }

            if (getComment() != null) {
                xml.append("<value type=\"string\" key=\"comment\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getComment()) + "</value>\n");
            }

        return xml;
    }
}
