/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.base;

public class PluginGroupDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements PluginGroupData {

    public PluginGroupDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getPosition() {
        return getGrtGlobalAsInt("position");
    }

    public int setPosition(int position) {
        setGrtGlobalFromInt("position", position);

        return getPosition();
    }

    public com.mysql.grt.base.PluginGroupList getSubGroups() {
        return (com.mysql.grt.base.PluginGroupList) getGrtGlobalAsObject("subGroups");
    }

    public com.mysql.grt.base.PluginGroupList setSubGroups(com.mysql.grt.base.PluginGroupList subGroups) {
        setGrtGlobalFromObject("subGroups", subGroups);

        return getSubGroups();
    }

    public com.mysql.grt.base.PluginList getPlugins() {
        return (com.mysql.grt.base.PluginList) getGrtGlobalAsObject("plugins");
    }

    public com.mysql.grt.base.PluginList setPlugins(com.mysql.grt.base.PluginList plugins) {
        setGrtGlobalFromObject("plugins", plugins);

        return getPlugins();
    }

}
