/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.canvas;

public class FigureDataLocal extends com.mysql.grt.GrtObjectDataLocal implements FigureData {

    private com.mysql.grt.GrtRealList scaling;

    private com.mysql.grt.GrtRealList translation;

    private com.mysql.grt.GrtRealList rotation;

    private com.mysql.grt.GrtHashMap content;

    public FigureDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public com.mysql.grt.GrtHashMap getContent() {
        if (content == null)
            content = new com.mysql.grt.GrtHashMap(this.grtObject);
        return content;
    }

    public com.mysql.grt.GrtHashMap setContent(com.mysql.grt.GrtHashMap content) {
        this.content = content;

        return getContent();
    }

    public com.mysql.grt.GrtRealList getScaling() {
        if (scaling == null)
            scaling = new com.mysql.grt.GrtRealList(this.grtObject);
        return scaling;
    }

    public com.mysql.grt.GrtRealList setScaling(com.mysql.grt.GrtRealList scaling) {
        this.scaling = scaling;
        return getScaling();
    }

    public com.mysql.grt.GrtRealList getTranslation() {
        if (translation == null)
            translation = new com.mysql.grt.GrtRealList(this.grtObject);
        return translation;
    }

    public com.mysql.grt.GrtRealList setTranslation(com.mysql.grt.GrtRealList translation) {
        this.translation = translation;
        return getTranslation();
    }

    public com.mysql.grt.GrtRealList getRotation() {
        if (rotation == null)
            rotation = new com.mysql.grt.GrtRealList(this.grtObject);
        return rotation;
    }

    public com.mysql.grt.GrtRealList setRotation(com.mysql.grt.GrtRealList rotation) {
        this.rotation = rotation;
        return getRotation();
    }

}
