/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.canvas;

public class FigureInstanceDataLocal extends com.mysql.grt.GrtObjectDataLocal implements FigureInstanceData {

    private int selected;

    private com.mysql.grt.GrtRealList scaling;

    private com.mysql.grt.GrtRealList translation;

    private com.mysql.grt.GrtRealList rotation;

    private String figure;

    public FigureInstanceDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getSelected() {
        return selected;
    }

    public int setSelected(int selected) {
        this.selected = selected;

        return getSelected();
    }

    public com.mysql.grt.GrtRealList getScaling() {
        if (scaling == null)
            scaling = new com.mysql.grt.GrtRealList(this.grtObject);
        return scaling;
    }

    public com.mysql.grt.GrtRealList setScaling(com.mysql.grt.GrtRealList scaling) {
        this.scaling = scaling;
        return getScaling();
    }

    public com.mysql.grt.GrtRealList getTranslation() {
        if (translation == null)
            translation = new com.mysql.grt.GrtRealList(this.grtObject);
        return translation;
    }

    public com.mysql.grt.GrtRealList setTranslation(com.mysql.grt.GrtRealList translation) {
        this.translation = translation;
        return getTranslation();
    }

    public com.mysql.grt.GrtRealList getRotation() {
        if (rotation == null)
            rotation = new com.mysql.grt.GrtRealList(this.grtObject);
        return rotation;
    }

    public com.mysql.grt.GrtRealList setRotation(com.mysql.grt.GrtRealList rotation) {
        this.rotation = rotation;
        return getRotation();
    }

    public com.mysql.grt.canvas.Figure getFigure() {
        return (com.mysql.grt.canvas.Figure) com.mysql.grt.Grt.getInstance().getObjectByRefId(figure);
    }

    public com.mysql.grt.canvas.Figure setFigure(com.mysql.grt.canvas.Figure figure) {
        this.figure = figure.get_id();
        return getFigure();
    }

    public String getFigureById() {
        return figure;
    }

    public void setFigureById(String figure) {
        this.figure = figure;
    }

}
