/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class CharacterSetDataLocal extends com.mysql.grt.GrtObjectDataLocal implements CharacterSetData {

    private String description;

    private String defaultCollation;

    private com.mysql.grt.GrtStringList collations;

    public CharacterSetDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public String getDescription() {
        return description;
    }

    public String setDescription(String description) {
        this.description = description;

        return getDescription();
    }

    public String getDefaultCollation() {
        return defaultCollation;
    }

    public String setDefaultCollation(String defaultCollation) {
        this.defaultCollation = defaultCollation;

        return getDefaultCollation();
    }

    public com.mysql.grt.GrtStringList getCollations() {
        if (collations == null)
            collations = new com.mysql.grt.GrtStringList(this.grtObject);
        return collations;
    }

    public com.mysql.grt.GrtStringList setCollations(com.mysql.grt.GrtStringList collations) {
        this.collations = collations;
        return getCollations();
    }

}
