/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class DatabaseObjectDataLocal extends com.mysql.grt.base.NamedGrtObjectDataLocal implements DatabaseObjectData {

    private int commentedOut;

    private String sql;

    private com.mysql.grt.GrtHashMap customData;

    public DatabaseObjectDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getCommentedOut() {
        return commentedOut;
    }

    public int setCommentedOut(int commentedOut) {
        this.commentedOut = commentedOut;

        return getCommentedOut();
    }

    public String getSql() {
        return sql;
    }

    public String setSql(String sql) {
        this.sql = sql;

        return getSql();
    }

    public com.mysql.grt.GrtHashMap getCustomData() {
        if (customData == null)
            customData = new com.mysql.grt.GrtHashMap(this.grtObject);
        return customData;
    }

    public com.mysql.grt.GrtHashMap setCustomData(com.mysql.grt.GrtHashMap customData) {
        this.customData = customData;

        return getCustomData();
    }

}
