/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class DatabaseSyncDataLocal extends com.mysql.grt.GrtObjectDataLocal implements DatabaseSyncData {

    private com.mysql.grt.db.Catalog dbCatalog;

    private com.mysql.grt.db.DatabaseSyncObject changeTree;

    public DatabaseSyncDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public com.mysql.grt.db.Catalog getDbCatalog() {
        if (dbCatalog == null)
            dbCatalog = new com.mysql.grt.db.Catalog(this.grtObject);
        return dbCatalog;
    }

    public com.mysql.grt.db.Catalog setDbCatalog(com.mysql.grt.db.Catalog dbCatalog) {
        this.dbCatalog = dbCatalog;

        return getDbCatalog();
    }

    public com.mysql.grt.db.DatabaseSyncObject getChangeTree() {
        if (changeTree == null)
            changeTree = new com.mysql.grt.db.DatabaseSyncObject(this.grtObject);
        return changeTree;
    }

    public com.mysql.grt.db.DatabaseSyncObject setChangeTree(com.mysql.grt.db.DatabaseSyncObject changeTree) {
        this.changeTree = changeTree;

        return getChangeTree();
    }

}
