/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class DatabaseSyncObjectDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements DatabaseSyncObjectData {

    public DatabaseSyncObjectDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getChanged() {
        return getGrtGlobalAsInt("changed");
    }

    public int setChanged(int changed) {
        setGrtGlobalFromInt("changed", changed);

        return getChanged();
    }

    public int getAlterDirection() {
        return getGrtGlobalAsInt("alterDirection");
    }

    public int setAlterDirection(int alterDirection) {
        setGrtGlobalFromInt("alterDirection", alterDirection);

        return getAlterDirection();
    }

    public com.mysql.grt.base.ObjectLogList getSyncLog() {
        return (com.mysql.grt.base.ObjectLogList) getGrtGlobalAsObject("syncLog");
    }

    public com.mysql.grt.base.ObjectLogList setSyncLog(com.mysql.grt.base.ObjectLogList syncLog) {
        setGrtGlobalFromObject("syncLog", syncLog);

        return getSyncLog();
    }

    public com.mysql.grt.base.NamedGrtObject getModelObject() {
        return (com.mysql.grt.base.NamedGrtObject) com.mysql.grt.Grt.getInstance().getObjectByRefId(
                getGrtGlobalAsString("modelObject"));
    }

    public com.mysql.grt.base.NamedGrtObject setModelObject(com.mysql.grt.base.NamedGrtObject modelObject) {
        setGrtGlobalFromString("modelObject", modelObject.get_id());

        return getModelObject();
    }

    public String getModelObjectById() {
        return getGrtGlobalAsString("modelObject");
    }

    public void setModelObjectById(String modelObject) {
        setGrtGlobalFromString("modelObject", modelObject);
    }

    public com.mysql.grt.base.NamedGrtObject getDbObject() {
        return (com.mysql.grt.base.NamedGrtObject) com.mysql.grt.Grt.getInstance().getObjectByRefId(
                getGrtGlobalAsString("dbObject"));
    }

    public com.mysql.grt.base.NamedGrtObject setDbObject(com.mysql.grt.base.NamedGrtObject dbObject) {
        setGrtGlobalFromString("dbObject", dbObject.get_id());

        return getDbObject();
    }

    public String getDbObjectById() {
        return getGrtGlobalAsString("dbObject");
    }

    public void setDbObjectById(String dbObject) {
        setGrtGlobalFromString("dbObject", dbObject);
    }

    public com.mysql.grt.db.DatabaseSyncObjectList getChildren() {
        return (com.mysql.grt.db.DatabaseSyncObjectList) getGrtGlobalAsObject("children");
    }

    public com.mysql.grt.db.DatabaseSyncObjectList setChildren(com.mysql.grt.db.DatabaseSyncObjectList children) {
        setGrtGlobalFromObject("children", children);

        return getChildren();
    }

}
