/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class DatabaseSyncObjectDataLocal extends com.mysql.grt.GrtObjectDataLocal implements DatabaseSyncObjectData {

    private int changed;

    private int alterDirection;

    private com.mysql.grt.base.ObjectLogList syncLog;

    private String modelObject;

    private String dbObject;

    private com.mysql.grt.db.DatabaseSyncObjectList children;

    public DatabaseSyncObjectDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getChanged() {
        return changed;
    }

    public int setChanged(int changed) {
        this.changed = changed;

        return getChanged();
    }

    public int getAlterDirection() {
        return alterDirection;
    }

    public int setAlterDirection(int alterDirection) {
        this.alterDirection = alterDirection;

        return getAlterDirection();
    }

    public com.mysql.grt.base.ObjectLogList getSyncLog() {
        if (syncLog == null)
            syncLog = new com.mysql.grt.base.ObjectLogList(this.grtObject);
        return syncLog;
    }

    public com.mysql.grt.base.ObjectLogList setSyncLog(com.mysql.grt.base.ObjectLogList syncLog) {
        this.syncLog = syncLog;
        return getSyncLog();
    }

    public com.mysql.grt.base.NamedGrtObject getModelObject() {
        return (com.mysql.grt.base.NamedGrtObject) com.mysql.grt.Grt.getInstance().getObjectByRefId(modelObject);
    }

    public com.mysql.grt.base.NamedGrtObject setModelObject(com.mysql.grt.base.NamedGrtObject modelObject) {
        this.modelObject = modelObject.get_id();
        return getModelObject();
    }

    public String getModelObjectById() {
        return modelObject;
    }

    public void setModelObjectById(String modelObject) {
        this.modelObject = modelObject;
    }

    public com.mysql.grt.base.NamedGrtObject getDbObject() {
        return (com.mysql.grt.base.NamedGrtObject) com.mysql.grt.Grt.getInstance().getObjectByRefId(dbObject);
    }

    public com.mysql.grt.base.NamedGrtObject setDbObject(com.mysql.grt.base.NamedGrtObject dbObject) {
        this.dbObject = dbObject.get_id();
        return getDbObject();
    }

    public String getDbObjectById() {
        return dbObject;
    }

    public void setDbObjectById(String dbObject) {
        this.dbObject = dbObject;
    }

    public com.mysql.grt.db.DatabaseSyncObjectList getChildren() {
        if (children == null)
            children = new com.mysql.grt.db.DatabaseSyncObjectList(this.grtObject);
        return children;
    }

    public com.mysql.grt.db.DatabaseSyncObjectList setChildren(com.mysql.grt.db.DatabaseSyncObjectList children) {
        this.children = children;
        return getChildren();
    }

}
