/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class RoutineGroupDataGlobal extends com.mysql.grt.db.DatabaseObjectDataGlobal implements RoutineGroupData {

    public RoutineGroupDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public com.mysql.grt.GrtIntList getRoutineExpandedStates() {
        return (com.mysql.grt.GrtIntList) getGrtGlobalAsObject("routineExpandedStates");
    }

    public com.mysql.grt.GrtIntList setRoutineExpandedStates(com.mysql.grt.GrtIntList routineExpandedStates) {
        setGrtGlobalFromObject("routineExpandedStates", routineExpandedStates);

        return getRoutineExpandedStates();
    }

    public com.mysql.grt.GrtIntList getRoutineExpandedHeights() {
        return (com.mysql.grt.GrtIntList) getGrtGlobalAsObject("routineExpandedHeights");
    }

    public com.mysql.grt.GrtIntList setRoutineExpandedHeights(com.mysql.grt.GrtIntList routineExpandedHeights) {
        setGrtGlobalFromObject("routineExpandedHeights", routineExpandedHeights);

        return getRoutineExpandedHeights();
    }

    public com.mysql.grt.db.RoutineList getRoutines() {
        return (com.mysql.grt.db.RoutineList) getGrtGlobalAsObject("routines");
    }

    public com.mysql.grt.db.RoutineList setRoutines(com.mysql.grt.db.RoutineList routines) {
        setGrtGlobalFromObject("routines", routines);

        return getRoutines();
    }

}
