/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class SimpleDatatypeDataLocal extends com.mysql.grt.GrtObjectDataLocal implements SimpleDatatypeData {

    private int characterMaximumLength;

    private int characterOctetLength;

    private int numericPrecision;

    private int numericPrecisionRadix;

    private int numericScale;

    private int dateTimePrecision;

    private com.mysql.grt.GrtStringList synonyms;

    private com.mysql.grt.GrtStringList flags;

    private String group;

    public SimpleDatatypeDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getCharacterMaximumLength() {
        return characterMaximumLength;
    }

    public int setCharacterMaximumLength(int characterMaximumLength) {
        this.characterMaximumLength = characterMaximumLength;

        return getCharacterMaximumLength();
    }

    public int getCharacterOctetLength() {
        return characterOctetLength;
    }

    public int setCharacterOctetLength(int characterOctetLength) {
        this.characterOctetLength = characterOctetLength;

        return getCharacterOctetLength();
    }

    public int getNumericPrecision() {
        return numericPrecision;
    }

    public int setNumericPrecision(int numericPrecision) {
        this.numericPrecision = numericPrecision;

        return getNumericPrecision();
    }

    public int getNumericPrecisionRadix() {
        return numericPrecisionRadix;
    }

    public int setNumericPrecisionRadix(int numericPrecisionRadix) {
        this.numericPrecisionRadix = numericPrecisionRadix;

        return getNumericPrecisionRadix();
    }

    public int getNumericScale() {
        return numericScale;
    }

    public int setNumericScale(int numericScale) {
        this.numericScale = numericScale;

        return getNumericScale();
    }

    public int getDateTimePrecision() {
        return dateTimePrecision;
    }

    public int setDateTimePrecision(int dateTimePrecision) {
        this.dateTimePrecision = dateTimePrecision;

        return getDateTimePrecision();
    }

    public com.mysql.grt.GrtStringList getSynonyms() {
        if (synonyms == null)
            synonyms = new com.mysql.grt.GrtStringList(this.grtObject);
        return synonyms;
    }

    public com.mysql.grt.GrtStringList setSynonyms(com.mysql.grt.GrtStringList synonyms) {
        this.synonyms = synonyms;
        return getSynonyms();
    }

    public com.mysql.grt.GrtStringList getFlags() {
        if (flags == null)
            flags = new com.mysql.grt.GrtStringList(this.grtObject);
        return flags;
    }

    public com.mysql.grt.GrtStringList setFlags(com.mysql.grt.GrtStringList flags) {
        this.flags = flags;
        return getFlags();
    }

    public com.mysql.grt.db.DatatypeGroup getGroup() {
        return (com.mysql.grt.db.DatatypeGroup) com.mysql.grt.Grt.getInstance().getObjectByRefId(group);
    }

    public com.mysql.grt.db.DatatypeGroup setGroup(com.mysql.grt.db.DatatypeGroup group) {
        this.group = group.get_id();
        return getGroup();
    }

    public String getGroupById() {
        return group;
    }

    public void setGroupById(String group) {
        this.group = group;
    }

}
