/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class Synonym extends com.mysql.grt.db.DatabaseObject {

    protected Synonym() {
    }

    public Synonym(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new SynonymDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new SynonymDataGlobal((String) obj);
        }
    }

    public int getIsPublic() {
        return ((SynonymData) data).getIsPublic();
    }

    public int setIsPublic(int isPublic) {
        ((SynonymData) data).setIsPublic(isPublic);

        return getIsPublic();
    }

    public String getReferedSchemaName() {
        return ((SynonymData) data).getReferedSchemaName();
    }

    public String setReferedSchemaName(String referedSchemaName) {
        ((SynonymData) data).setReferedSchemaName(referedSchemaName);

        return getReferedSchemaName();
    }

    public String getReferedObjectName() {
        return ((SynonymData) data).getReferedObjectName();
    }

    public String setReferedObjectName(String referedObjectName) {
        ((SynonymData) data).setReferedObjectName(referedObjectName);

        return getReferedObjectName();
    }

    public com.mysql.grt.db.DatabaseObject getReferedObject() {
        return ((SynonymData) data).getReferedObject();
    }

    public com.mysql.grt.db.DatabaseObject setReferedObject(com.mysql.grt.db.DatabaseObject referedObject) {
        ((SynonymData) data).setReferedObject(referedObject);

        return getReferedObject();
    }

    public String getReferedObjectById() {
        return ((SynonymData) data).getReferedObjectById();
    }

    public void setReferedObjectById(String referedObject) {
        ((SynonymData) data).setReferedObjectById(referedObject);
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"int\" key=\"isPublic\">"
                    + Integer.toString(getIsPublic()) + "</value>\n");

            if (getReferedSchemaName() != null) {
                xml.append("<value type=\"string\" key=\"referedSchemaName\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getReferedSchemaName()) + "</value>\n");
            }

            if (getReferedObjectName() != null) {
                xml.append("<value type=\"string\" key=\"referedObjectName\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getReferedObjectName()) + "</value>\n");
            }

            if (getReferedObject() != null) {
                xml.append("<value type=\"string\" option=\"ref\" key=\"referedObject\">"
                        + getReferedObjectById() + "</value>\n");
            }

        return xml;
    }
}
