/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class SynonymDataGlobal extends com.mysql.grt.db.DatabaseObjectDataGlobal implements SynonymData {

    public SynonymDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getIsPublic() {
        return getGrtGlobalAsInt("isPublic");
    }

    public int setIsPublic(int isPublic) {
        setGrtGlobalFromInt("isPublic", isPublic);

        return getIsPublic();
    }

    public String getReferedSchemaName() {
        return getGrtGlobalAsString("referedSchemaName");
    }

    public String setReferedSchemaName(String referedSchemaName) {
        setGrtGlobalFromString("referedSchemaName", referedSchemaName);

        return getReferedSchemaName();
    }

    public String getReferedObjectName() {
        return getGrtGlobalAsString("referedObjectName");
    }

    public String setReferedObjectName(String referedObjectName) {
        setGrtGlobalFromString("referedObjectName", referedObjectName);

        return getReferedObjectName();
    }

    public com.mysql.grt.db.DatabaseObject getReferedObject() {
        return (com.mysql.grt.db.DatabaseObject) com.mysql.grt.Grt.getInstance().getObjectByRefId(
                getGrtGlobalAsString("referedObject"));
    }

    public com.mysql.grt.db.DatabaseObject setReferedObject(com.mysql.grt.db.DatabaseObject referedObject) {
        setGrtGlobalFromString("referedObject", referedObject.get_id());

        return getReferedObject();
    }

    public String getReferedObjectById() {
        return getGrtGlobalAsString("referedObject");
    }

    public void setReferedObjectById(String referedObject) {
        setGrtGlobalFromString("referedObject", referedObject);
    }

}
