/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public interface TableData extends com.mysql.grt.db.DatabaseObjectData {

    public int getIsTemporary();

    public int setIsTemporary(int isTemporary);

    public int getIsSystem();

    public int setIsSystem(int isSystem);

    public String getTemporaryScope();

    public String setTemporaryScope(String temporaryScope);

    public com.mysql.grt.db.StructuredDatatype getTemplate();

    public com.mysql.grt.db.StructuredDatatype setTemplate(com.mysql.grt.db.StructuredDatatype template);

    public com.mysql.grt.db.ColumnList getColumns();

    public com.mysql.grt.db.ColumnList setColumns(com.mysql.grt.db.ColumnList columns);

    public com.mysql.grt.db.IndexList getIndices();

    public com.mysql.grt.db.IndexList setIndices(com.mysql.grt.db.IndexList indices);

    public com.mysql.grt.db.ForeignKeyList getForeignKeys();

    public com.mysql.grt.db.ForeignKeyList setForeignKeys(com.mysql.grt.db.ForeignKeyList foreignKeys);

    public com.mysql.grt.db.TriggerList getTriggers();

    public com.mysql.grt.db.TriggerList setTriggers(com.mysql.grt.db.TriggerList triggers);

    public com.mysql.grt.db.Index getPrimaryKey();

    public com.mysql.grt.db.Index setPrimaryKey(com.mysql.grt.db.Index primaryKey);

    public String getPrimaryKeyById();

    public void setPrimaryKeyById(String primaryKey);

}
