/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class TableDataGlobal extends com.mysql.grt.db.DatabaseObjectDataGlobal implements TableData {

    public TableDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getIsTemporary() {
        return getGrtGlobalAsInt("isTemporary");
    }

    public int setIsTemporary(int isTemporary) {
        setGrtGlobalFromInt("isTemporary", isTemporary);

        return getIsTemporary();
    }

    public int getIsSystem() {
        return getGrtGlobalAsInt("isSystem");
    }

    public int setIsSystem(int isSystem) {
        setGrtGlobalFromInt("isSystem", isSystem);

        return getIsSystem();
    }

    public String getTemporaryScope() {
        return getGrtGlobalAsString("temporaryScope");
    }

    public String setTemporaryScope(String temporaryScope) {
        setGrtGlobalFromString("temporaryScope", temporaryScope);

        return getTemporaryScope();
    }

    public com.mysql.grt.db.StructuredDatatype getTemplate() {
        return (com.mysql.grt.db.StructuredDatatype) getGrtGlobalAsObject("template");

    }

    public com.mysql.grt.db.StructuredDatatype setTemplate(com.mysql.grt.db.StructuredDatatype template) {
        setGrtGlobalFromObject("template", template);

        return getTemplate();
    }

    public com.mysql.grt.db.ColumnList getColumns() {
        return (com.mysql.grt.db.ColumnList) getGrtGlobalAsObject("columns");
    }

    public com.mysql.grt.db.ColumnList setColumns(com.mysql.grt.db.ColumnList columns) {
        setGrtGlobalFromObject("columns", columns);

        return getColumns();
    }

    public com.mysql.grt.db.IndexList getIndices() {
        return (com.mysql.grt.db.IndexList) getGrtGlobalAsObject("indices");
    }

    public com.mysql.grt.db.IndexList setIndices(com.mysql.grt.db.IndexList indices) {
        setGrtGlobalFromObject("indices", indices);

        return getIndices();
    }

    public com.mysql.grt.db.ForeignKeyList getForeignKeys() {
        return (com.mysql.grt.db.ForeignKeyList) getGrtGlobalAsObject("foreignKeys");
    }

    public com.mysql.grt.db.ForeignKeyList setForeignKeys(com.mysql.grt.db.ForeignKeyList foreignKeys) {
        setGrtGlobalFromObject("foreignKeys", foreignKeys);

        return getForeignKeys();
    }

    public com.mysql.grt.db.TriggerList getTriggers() {
        return (com.mysql.grt.db.TriggerList) getGrtGlobalAsObject("triggers");
    }

    public com.mysql.grt.db.TriggerList setTriggers(com.mysql.grt.db.TriggerList triggers) {
        setGrtGlobalFromObject("triggers", triggers);

        return getTriggers();
    }

    public com.mysql.grt.db.Index getPrimaryKey() {
        return (com.mysql.grt.db.Index) com.mysql.grt.Grt.getInstance().getObjectByRefId(
                getGrtGlobalAsString("primaryKey"));
    }

    public com.mysql.grt.db.Index setPrimaryKey(com.mysql.grt.db.Index primaryKey) {
        setGrtGlobalFromString("primaryKey", primaryKey.get_id());

        return getPrimaryKey();
    }

    public String getPrimaryKeyById() {
        return getGrtGlobalAsString("primaryKey");
    }

    public void setPrimaryKeyById(String primaryKey) {
        setGrtGlobalFromString("primaryKey", primaryKey);
    }

}
