/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class VersionDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements VersionData {

    public VersionDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getMajor() {
        return getGrtGlobalAsInt("major");
    }

    public int setMajor(int major) {
        setGrtGlobalFromInt("major", major);

        return getMajor();
    }

    public int getMinor() {
        return getGrtGlobalAsInt("minor");
    }

    public int setMinor(int minor) {
        setGrtGlobalFromInt("minor", minor);

        return getMinor();
    }

    public int getRelease() {
        return getGrtGlobalAsInt("release");
    }

    public int setRelease(int release) {
        setGrtGlobalFromInt("release", release);

        return getRelease();
    }

}
