/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class ViewDataGlobal extends com.mysql.grt.db.DatabaseObjectDataGlobal implements ViewData {

    public ViewDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getWithCheckCondition() {
        return getGrtGlobalAsInt("withCheckCondition");
    }

    public int setWithCheckCondition(int withCheckCondition) {
        setGrtGlobalFromInt("withCheckCondition", withCheckCondition);

        return getWithCheckCondition();
    }

    public int getIsReadOnly() {
        return getGrtGlobalAsInt("isReadOnly");
    }

    public int setIsReadOnly(int isReadOnly) {
        setGrtGlobalFromInt("isReadOnly", isReadOnly);

        return getIsReadOnly();
    }

    public String getQueryExpression() {
        return getGrtGlobalAsString("queryExpression");
    }

    public String setQueryExpression(String queryExpression) {
        setGrtGlobalFromString("queryExpression", queryExpression);

        return getQueryExpression();
    }

    public com.mysql.grt.GrtStringList getColumns() {
        return (com.mysql.grt.GrtStringList) getGrtGlobalAsObject("columns");
    }

    public com.mysql.grt.GrtStringList setColumns(com.mysql.grt.GrtStringList columns) {
        setGrtGlobalFromObject("columns", columns);

        return getColumns();
    }

}
