/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.maxdb;

public class TableDataGlobal extends com.mysql.grt.db.TableDataGlobal implements TableData {

    public TableDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getNoFixedLengthColumn() {
        return getGrtGlobalAsInt("noFixedLengthColumn");
    }

    public int setNoFixedLengthColumn(int noFixedLengthColumn) {
        setGrtGlobalFromInt("noFixedLengthColumn", noFixedLengthColumn);

        return getNoFixedLengthColumn();
    }

    public String getSample() {
        return getGrtGlobalAsString("sample");
    }

    public String setSample(String sample) {
        setGrtGlobalFromString("sample", sample);

        return getSample();
    }

    public String getCreateDate() {
        return getGrtGlobalAsString("createDate");
    }

    public String setCreateDate(String createDate) {
        setGrtGlobalFromString("createDate", createDate);

        return getCreateDate();
    }

    public String getCreateTime() {
        return getGrtGlobalAsString("createTime");
    }

    public String setCreateTime(String createTime) {
        setGrtGlobalFromString("createTime", createTime);

        return getCreateTime();
    }

    public String getUpdStatDate() {
        return getGrtGlobalAsString("updStatDate");
    }

    public String setUpdStatDate(String updStatDate) {
        setGrtGlobalFromString("updStatDate", updStatDate);

        return getUpdStatDate();
    }

    public String getUpdStatTime() {
        return getGrtGlobalAsString("updStatTime");
    }

    public String setUpdStatTime(String updStatTime) {
        setGrtGlobalFromString("updStatTime", updStatTime);

        return getUpdStatTime();
    }

    public String getAlterDate() {
        return getGrtGlobalAsString("alterDate");
    }

    public String setAlterDate(String alterDate) {
        setGrtGlobalFromString("alterDate", alterDate);

        return getAlterDate();
    }

    public String getAlterTime() {
        return getGrtGlobalAsString("alterTime");
    }

    public String setAlterTime(String alterTime) {
        setGrtGlobalFromString("alterTime", alterTime);

        return getAlterTime();
    }

    public String getUnloaded() {
        return getGrtGlobalAsString("unloaded");
    }

    public String setUnloaded(String unloaded) {
        setGrtGlobalFromString("unloaded", unloaded);

        return getUnloaded();
    }

    public String getPrivileges() {
        return getGrtGlobalAsString("privileges");
    }

    public String setPrivileges(String privileges) {
        setGrtGlobalFromString("privileges", privileges);

        return getPrivileges();
    }

    public String getComment() {
        return getGrtGlobalAsString("comment");
    }

    public String setComment(String comment) {
        setGrtGlobalFromString("comment", comment);

        return getComment();
    }

    public String getTableid() {
        return getGrtGlobalAsString("tableid");
    }

    public String setTableid(String tableid) {
        setGrtGlobalFromString("tableid", tableid);

        return getTableid();
    }

    public String getArchive() {
        return getGrtGlobalAsString("archive");
    }

    public String setArchive(String archive) {
        setGrtGlobalFromString("archive", archive);

        return getArchive();
    }

    public String getVariableColumns() {
        return getGrtGlobalAsString("variableColumns");
    }

    public String setVariableColumns(String variableColumns) {
        setGrtGlobalFromString("variableColumns", variableColumns);

        return getVariableColumns();
    }

}
