/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.mgmt;

public class Connection extends com.mysql.grt.GrtObject {

    protected Connection() {
    }

    public Connection(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new ConnectionDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new ConnectionDataGlobal((String) obj);
        }
    }

    public com.mysql.grt.GrtStringHashMap getParameterValues() {
        return ((ConnectionData) data).getParameterValues();
    }

    public com.mysql.grt.GrtStringHashMap setParameterValues(com.mysql.grt.GrtStringHashMap parameterValues) {
        ((ConnectionData) data).setParameterValues(parameterValues);

        return getParameterValues();
    }

    public com.mysql.grt.GrtStringHashMap getModules() {
        return ((ConnectionData) data).getModules();
    }

    public com.mysql.grt.GrtStringHashMap setModules(com.mysql.grt.GrtStringHashMap modules) {
        ((ConnectionData) data).setModules(modules);

        return getModules();
    }

    public com.mysql.grt.db.mgmt.Driver getDriver() {
        return ((ConnectionData) data).getDriver();
    }

    public com.mysql.grt.db.mgmt.Driver setDriver(com.mysql.grt.db.mgmt.Driver driver) {
        ((ConnectionData) data).setDriver(driver);

        return getDriver();
    }

    public String getDriverById() {
        return ((ConnectionData) data).getDriverById();
    }

    public void setDriverById(String driver) {
        ((ConnectionData) data).setDriverById(driver);
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            if (getParameterValues() != null) {
                getParameterValues().getGrtXml(xml, " key=\"parameterValues\"");
            }

            if (getModules() != null) {
                getModules().getGrtXml(xml, " key=\"modules\"");
            }

            if (getDriver() != null) {
                xml.append("<value type=\"string\" option=\"ref\" key=\"driver\">"
                        + getDriverById() + "</value>\n");
            }

        return xml;
    }
}
