/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.mgmt;

public class JdbcDriver extends com.mysql.grt.db.mgmt.Driver {

    protected JdbcDriver() {
    }

    public JdbcDriver(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new JdbcDriverDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new JdbcDriverDataGlobal((String) obj);
        }
    }

    public String getClassName() {
        return ((JdbcDriverData) data).getClassName();
    }

    public String setClassName(String className) {
        ((JdbcDriverData) data).setClassName(className);

        return getClassName();
    }

    public String getConnectionStringTemplate() {
        return ((JdbcDriverData) data).getConnectionStringTemplate();
    }

    public String setConnectionStringTemplate(String connectionStringTemplate) {
        ((JdbcDriverData) data).setConnectionStringTemplate(connectionStringTemplate);

        return getConnectionStringTemplate();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            if (getClassName() != null) {
                xml.append("<value type=\"string\" key=\"className\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getClassName()) + "</value>\n");
            }

            if (getConnectionStringTemplate() != null) {
                xml.append("<value type=\"string\" key=\"connectionStringTemplate\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getConnectionStringTemplate()) + "</value>\n");
            }

        return xml;
    }
}
