/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.mgmt;

public class ManagementDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements ManagementData {

    public ManagementDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public com.mysql.grt.db.mgmt.RdbmsList getRdbms() {
        return (com.mysql.grt.db.mgmt.RdbmsList) getGrtGlobalAsObject("rdbms");
    }

    public com.mysql.grt.db.mgmt.RdbmsList setRdbms(com.mysql.grt.db.mgmt.RdbmsList rdbms) {
        setGrtGlobalFromObject("rdbms", rdbms);

        return getRdbms();
    }

    public com.mysql.grt.db.mgmt.ConnectionList getStoredConns() {
        return (com.mysql.grt.db.mgmt.ConnectionList) getGrtGlobalAsObject("storedConns");
    }

    public com.mysql.grt.db.mgmt.ConnectionList setStoredConns(com.mysql.grt.db.mgmt.ConnectionList storedConns) {
        setGrtGlobalFromObject("storedConns", storedConns);

        return getStoredConns();
    }

    public com.mysql.grt.db.DatatypeGroupList getDatatypeGroups() {
        return (com.mysql.grt.db.DatatypeGroupList) getGrtGlobalAsObject("datatypeGroups");
    }

    public com.mysql.grt.db.DatatypeGroupList setDatatypeGroups(com.mysql.grt.db.DatatypeGroupList datatypeGroups) {
        setGrtGlobalFromObject("datatypeGroups", datatypeGroups);

        return getDatatypeGroups();
    }

}
