/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.migration;

public class MappingDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements MappingData {

    public MappingDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public String getSourceStructName() {
        return getGrtGlobalAsString("sourceStructName");
    }

    public String setSourceStructName(String sourceStructName) {
        setGrtGlobalFromString("sourceStructName", sourceStructName);

        return getSourceStructName();
    }

    public String getMethodName() {
        return getGrtGlobalAsString("methodName");
    }

    public String setMethodName(String methodName) {
        setGrtGlobalFromString("methodName", methodName);

        return getMethodName();
    }

    public String getModuleName() {
        return getGrtGlobalAsString("moduleName");
    }

    public String setModuleName(String moduleName) {
        setGrtGlobalFromString("moduleName", moduleName);

        return getModuleName();
    }

    public String getParamGroupName() {
        return getGrtGlobalAsString("paramGroupName");
    }

    public String setParamGroupName(String paramGroupName) {
        setGrtGlobalFromString("paramGroupName", paramGroupName);

        return getParamGroupName();
    }

    public com.mysql.grt.GrtStringHashMap getParams() {
        return (com.mysql.grt.GrtStringHashMap) getGrtGlobalAsObject("params");

    }

    public com.mysql.grt.GrtStringHashMap setParams(com.mysql.grt.GrtStringHashMap params) {
        setGrtGlobalFromObject("params", params);

        return getParams();
    }

    public com.mysql.grt.GrtObject getSourceObject() {
        return (com.mysql.grt.GrtObject) com.mysql.grt.Grt.getInstance().getObjectByRefId(
                getGrtGlobalAsString("sourceObject"));
    }

    public com.mysql.grt.GrtObject setSourceObject(com.mysql.grt.GrtObject sourceObject) {
        setGrtGlobalFromString("sourceObject", sourceObject.get_id());

        return getSourceObject();
    }

    public String getSourceObjectById() {
        return getGrtGlobalAsString("sourceObject");
    }

    public void setSourceObjectById(String sourceObject) {
        setGrtGlobalFromString("sourceObject", sourceObject);
    }

    public com.mysql.grt.db.migration.Method getMethod() {
        return (com.mysql.grt.db.migration.Method) com.mysql.grt.Grt.getInstance().getObjectByRefId(
                getGrtGlobalAsString("method"));
    }

    public com.mysql.grt.db.migration.Method setMethod(com.mysql.grt.db.migration.Method method) {
        setGrtGlobalFromString("method", method.get_id());

        return getMethod();
    }

    public String getMethodById() {
        return getGrtGlobalAsString("method");
    }

    public void setMethodById(String method) {
        setGrtGlobalFromString("method", method);
    }

}
