/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.migration;

public class MethodDataLocal extends com.mysql.grt.GrtObjectDataLocal implements MethodData {

    private int rating;

    private String moduleName;

    private String caption;

    private String desc;

    private String sourceStructName;

    private String targetPackageName;

    private com.mysql.grt.db.migration.ParameterGroupList paramGroups;

    private com.mysql.grt.GrtStringHashMap params;

    public MethodDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getRating() {
        return rating;
    }

    public int setRating(int rating) {
        this.rating = rating;

        return getRating();
    }

    public String getModuleName() {
        return moduleName;
    }

    public String setModuleName(String moduleName) {
        this.moduleName = moduleName;

        return getModuleName();
    }

    public String getCaption() {
        return caption;
    }

    public String setCaption(String caption) {
        this.caption = caption;

        return getCaption();
    }

    public String getDesc() {
        return desc;
    }

    public String setDesc(String desc) {
        this.desc = desc;

        return getDesc();
    }

    public String getSourceStructName() {
        return sourceStructName;
    }

    public String setSourceStructName(String sourceStructName) {
        this.sourceStructName = sourceStructName;

        return getSourceStructName();
    }

    public String getTargetPackageName() {
        return targetPackageName;
    }

    public String setTargetPackageName(String targetPackageName) {
        this.targetPackageName = targetPackageName;

        return getTargetPackageName();
    }

    public com.mysql.grt.GrtStringHashMap getParams() {
        if (params == null)
            params = new com.mysql.grt.GrtStringHashMap(this.grtObject);
        return params;
    }

    public com.mysql.grt.GrtStringHashMap setParams(com.mysql.grt.GrtStringHashMap params) {
        this.params = params;

        return getParams();
    }

    public com.mysql.grt.db.migration.ParameterGroupList getParamGroups() {
        if (paramGroups == null)
            paramGroups = new com.mysql.grt.db.migration.ParameterGroupList(this.grtObject);
        return paramGroups;
    }

    public com.mysql.grt.db.migration.ParameterGroupList setParamGroups(com.mysql.grt.db.migration.ParameterGroupList paramGroups) {
        this.paramGroups = paramGroups;
        return getParamGroups();
    }

}
