/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.migration;

public interface MigrationData extends com.mysql.grt.GrtObjectData {

    public com.mysql.grt.db.mgmt.Connection getSourceConnection();

    public com.mysql.grt.db.mgmt.Connection setSourceConnection(com.mysql.grt.db.mgmt.Connection sourceConnection);

    public com.mysql.grt.db.mgmt.Connection getTargetConnection();

    public com.mysql.grt.db.mgmt.Connection setTargetConnection(com.mysql.grt.db.mgmt.Connection targetConnection);

    public com.mysql.grt.db.Catalog getSourceCatalog();

    public com.mysql.grt.db.Catalog setSourceCatalog(com.mysql.grt.db.Catalog sourceCatalog);

    public com.mysql.grt.db.Catalog getTargetCatalog();

    public com.mysql.grt.db.Catalog setTargetCatalog(com.mysql.grt.db.Catalog targetCatalog);

    public com.mysql.grt.db.Version getTargetVersion();

    public com.mysql.grt.db.Version setTargetVersion(com.mysql.grt.db.Version targetVersion);

    public com.mysql.grt.GrtStringHashMap getObjectCreationParams();

    public com.mysql.grt.GrtStringHashMap setObjectCreationParams(com.mysql.grt.GrtStringHashMap objectCreationParams);

    public com.mysql.grt.GrtStringHashMap getDataBulkTransferParams();

    public com.mysql.grt.GrtStringHashMap setDataBulkTransferParams(com.mysql.grt.GrtStringHashMap dataBulkTransferParams);

    public com.mysql.grt.GrtStringHashMap getApplicationData();

    public com.mysql.grt.GrtStringHashMap setApplicationData(com.mysql.grt.GrtStringHashMap applicationData);

    public com.mysql.grt.GrtStringList getSourceSchemataNames();

    public com.mysql.grt.GrtStringList setSourceSchemataNames(com.mysql.grt.GrtStringList sourceSchemataNames);

    public com.mysql.grt.GrtStringList getSelectedSchemataNames();

    public com.mysql.grt.GrtStringList setSelectedSchemataNames(com.mysql.grt.GrtStringList selectedSchemataNames);

    public com.mysql.grt.GrtStringList getIgnoreList();

    public com.mysql.grt.GrtStringList setIgnoreList(com.mysql.grt.GrtStringList ignoreList);

    public com.mysql.grt.db.migration.MappingList getMappingDefaults();

    public com.mysql.grt.db.migration.MappingList setMappingDefaults(com.mysql.grt.db.migration.MappingList mappingDefaults);

    public com.mysql.grt.db.migration.MappingList getMappingDefinitions();

    public com.mysql.grt.db.migration.MappingList setMappingDefinitions(com.mysql.grt.db.migration.MappingList mappingDefinitions);

    public com.mysql.grt.base.ObjectLogList getMigrationLog();

    public com.mysql.grt.base.ObjectLogList setMigrationLog(com.mysql.grt.base.ObjectLogList migrationLog);

    public com.mysql.grt.base.ObjectLogList getCreationLog();

    public com.mysql.grt.base.ObjectLogList setCreationLog(com.mysql.grt.base.ObjectLogList creationLog);

    public com.mysql.grt.base.ObjectLogList getDataTransferLog();

    public com.mysql.grt.base.ObjectLogList setDataTransferLog(com.mysql.grt.base.ObjectLogList dataTransferLog);

    public com.mysql.grt.db.migration.DatatypeMappingList getGenericDatatypeMappings();

    public com.mysql.grt.db.migration.DatatypeMappingList setGenericDatatypeMappings(com.mysql.grt.db.migration.DatatypeMappingList genericDatatypeMappings);

    public com.mysql.grt.db.migration.MethodList getMigrationMethods();

    public com.mysql.grt.db.migration.MethodList setMigrationMethods(com.mysql.grt.db.migration.MethodList migrationMethods);

    public com.mysql.grt.GrtObjectList getSourceObjects();

    public com.mysql.grt.GrtObjectList setSourceObjects(com.mysql.grt.GrtObjectList sourceObjects);

}
