/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.mysql;

public class StorageEngineDataGlobal extends com.mysql.grt.base.NamedGrtObjectDataGlobal implements StorageEngineData {

    public StorageEngineDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getSupportsForeignKeys() {
        return getGrtGlobalAsInt("supportsForeignKeys");
    }

    public int setSupportsForeignKeys(int supportsForeignKeys) {
        setGrtGlobalFromInt("supportsForeignKeys", supportsForeignKeys);

        return getSupportsForeignKeys();
    }

    public String getCaption() {
        return getGrtGlobalAsString("caption");
    }

    public String setCaption(String caption) {
        setGrtGlobalFromString("caption", caption);

        return getCaption();
    }

    public String getDescription() {
        return getGrtGlobalAsString("description");
    }

    public String setDescription(String description) {
        setGrtGlobalFromString("description", description);

        return getDescription();
    }

    public com.mysql.grt.db.mysql.StorageEngineOptionList getOptions() {
        return (com.mysql.grt.db.mysql.StorageEngineOptionList) getGrtGlobalAsObject("options");
    }

    public com.mysql.grt.db.mysql.StorageEngineOptionList setOptions(com.mysql.grt.db.mysql.StorageEngineOptionList options) {
        setGrtGlobalFromObject("options", options);

        return getOptions();
    }

}
