/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.mysql;

public class StorageEngineDataLocal extends com.mysql.grt.base.NamedGrtObjectDataLocal implements StorageEngineData {

    private int supportsForeignKeys;

    private String caption;

    private String description;

    private com.mysql.grt.db.mysql.StorageEngineOptionList options;

    public StorageEngineDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getSupportsForeignKeys() {
        return supportsForeignKeys;
    }

    public int setSupportsForeignKeys(int supportsForeignKeys) {
        this.supportsForeignKeys = supportsForeignKeys;

        return getSupportsForeignKeys();
    }

    public String getCaption() {
        return caption;
    }

    public String setCaption(String caption) {
        this.caption = caption;

        return getCaption();
    }

    public String getDescription() {
        return description;
    }

    public String setDescription(String description) {
        this.description = description;

        return getDescription();
    }

    public com.mysql.grt.db.mysql.StorageEngineOptionList getOptions() {
        if (options == null)
            options = new com.mysql.grt.db.mysql.StorageEngineOptionList(this.grtObject);
        return options;
    }

    public com.mysql.grt.db.mysql.StorageEngineOptionList setOptions(com.mysql.grt.db.mysql.StorageEngineOptionList options) {
        this.options = options;
        return getOptions();
    }

}
