/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.mysql;

public class StorageEngineOption extends com.mysql.grt.base.NamedGrtObject {

    protected StorageEngineOption() {
    }

    public StorageEngineOption(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new StorageEngineOptionDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new StorageEngineOptionDataGlobal((String) obj);
        }
    }

    public String getCaption() {
        return ((StorageEngineOptionData) data).getCaption();
    }

    public String setCaption(String caption) {
        ((StorageEngineOptionData) data).setCaption(caption);

        return getCaption();
    }

    public String getDescription() {
        return ((StorageEngineOptionData) data).getDescription();
    }

    public String setDescription(String description) {
        ((StorageEngineOptionData) data).setDescription(description);

        return getDescription();
    }

    public String getType() {
        return ((StorageEngineOptionData) data).getType();
    }

    public String setType(String type) {
        ((StorageEngineOptionData) data).setType(type);

        return getType();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            if (getCaption() != null) {
                xml.append("<value type=\"string\" key=\"caption\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getCaption()) + "</value>\n");
            }

            if (getDescription() != null) {
                xml.append("<value type=\"string\" key=\"description\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getDescription()) + "</value>\n");
            }

            if (getType() != null) {
                xml.append("<value type=\"string\" key=\"type\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getType()) + "</value>\n");
            }

        return xml;
    }
}
