/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.oracle;

public class Index extends com.mysql.grt.db.Index {

    protected Index() {
    }

    public Index(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new IndexDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new IndexDataGlobal((String) obj);
        }
    }

    public int getCompression() {
        return ((IndexData) data).getCompression();
    }

    public int setCompression(int compression) {
        ((IndexData) data).setCompression(compression);

        return getCompression();
    }

    public int getPrefixLength() {
        return ((IndexData) data).getPrefixLength();
    }

    public int setPrefixLength(int prefixLength) {
        ((IndexData) data).setPrefixLength(prefixLength);

        return getPrefixLength();
    }

    public int getInitialTrans() {
        return ((IndexData) data).getInitialTrans();
    }

    public int setInitialTrans(int initialTrans) {
        ((IndexData) data).setInitialTrans(initialTrans);

        return getInitialTrans();
    }

    public int getMaxTrans() {
        return ((IndexData) data).getMaxTrans();
    }

    public int setMaxTrans(int maxTrans) {
        ((IndexData) data).setMaxTrans(maxTrans);

        return getMaxTrans();
    }

    public int getInitialExtent() {
        return ((IndexData) data).getInitialExtent();
    }

    public int setInitialExtent(int initialExtent) {
        ((IndexData) data).setInitialExtent(initialExtent);

        return getInitialExtent();
    }

    public int getNextExtent() {
        return ((IndexData) data).getNextExtent();
    }

    public int setNextExtent(int nextExtent) {
        ((IndexData) data).setNextExtent(nextExtent);

        return getNextExtent();
    }

    public int getMinExtents() {
        return ((IndexData) data).getMinExtents();
    }

    public int setMinExtents(int minExtents) {
        ((IndexData) data).setMinExtents(minExtents);

        return getMinExtents();
    }

    public int getMaxExtents() {
        return ((IndexData) data).getMaxExtents();
    }

    public int setMaxExtents(int maxExtents) {
        ((IndexData) data).setMaxExtents(maxExtents);

        return getMaxExtents();
    }

    public int getPctIncrease() {
        return ((IndexData) data).getPctIncrease();
    }

    public int setPctIncrease(int pctIncrease) {
        ((IndexData) data).setPctIncrease(pctIncrease);

        return getPctIncrease();
    }

    public int getPctTreshold() {
        return ((IndexData) data).getPctTreshold();
    }

    public int setPctTreshold(int pctTreshold) {
        ((IndexData) data).setPctTreshold(pctTreshold);

        return getPctTreshold();
    }

    public int getBlevel() {
        return ((IndexData) data).getBlevel();
    }

    public int setBlevel(int blevel) {
        ((IndexData) data).setBlevel(blevel);

        return getBlevel();
    }

    public int getLeafBlocks() {
        return ((IndexData) data).getLeafBlocks();
    }

    public int setLeafBlocks(int leafBlocks) {
        ((IndexData) data).setLeafBlocks(leafBlocks);

        return getLeafBlocks();
    }

    public int getDistinctKeys() {
        return ((IndexData) data).getDistinctKeys();
    }

    public int setDistinctKeys(int distinctKeys) {
        ((IndexData) data).setDistinctKeys(distinctKeys);

        return getDistinctKeys();
    }

    public int getAvgLeafBlocksPerKey() {
        return ((IndexData) data).getAvgLeafBlocksPerKey();
    }

    public int setAvgLeafBlocksPerKey(int avgLeafBlocksPerKey) {
        ((IndexData) data).setAvgLeafBlocksPerKey(avgLeafBlocksPerKey);

        return getAvgLeafBlocksPerKey();
    }

    public int getAvgDataBlocksPerKey() {
        return ((IndexData) data).getAvgDataBlocksPerKey();
    }

    public int setAvgDataBlocksPerKey(int avgDataBlocksPerKey) {
        ((IndexData) data).setAvgDataBlocksPerKey(avgDataBlocksPerKey);

        return getAvgDataBlocksPerKey();
    }

    public int getClusteringFactor() {
        return ((IndexData) data).getClusteringFactor();
    }

    public int setClusteringFactor(int clusteringFactor) {
        ((IndexData) data).setClusteringFactor(clusteringFactor);

        return getClusteringFactor();
    }

    public int getNumRows() {
        return ((IndexData) data).getNumRows();
    }

    public int setNumRows(int numRows) {
        ((IndexData) data).setNumRows(numRows);

        return getNumRows();
    }

    public int getGenerated() {
        return ((IndexData) data).getGenerated();
    }

    public int setGenerated(int generated) {
        ((IndexData) data).setGenerated(generated);

        return getGenerated();
    }

    public String getTablespace() {
        return ((IndexData) data).getTablespace();
    }

    public String setTablespace(String tablespace) {
        ((IndexData) data).setTablespace(tablespace);

        return getTablespace();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"int\" key=\"compression\">"
                    + Integer.toString(getCompression()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"prefixLength\">"
                    + Integer.toString(getPrefixLength()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"initialTrans\">"
                    + Integer.toString(getInitialTrans()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"maxTrans\">"
                    + Integer.toString(getMaxTrans()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"initialExtent\">"
                    + Integer.toString(getInitialExtent()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"nextExtent\">"
                    + Integer.toString(getNextExtent()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"minExtents\">"
                    + Integer.toString(getMinExtents()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"maxExtents\">"
                    + Integer.toString(getMaxExtents()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"pctIncrease\">"
                    + Integer.toString(getPctIncrease()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"pctTreshold\">"
                    + Integer.toString(getPctTreshold()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"blevel\">"
                    + Integer.toString(getBlevel()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"leafBlocks\">"
                    + Integer.toString(getLeafBlocks()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"distinctKeys\">"
                    + Integer.toString(getDistinctKeys()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"avgLeafBlocksPerKey\">"
                    + Integer.toString(getAvgLeafBlocksPerKey()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"avgDataBlocksPerKey\">"
                    + Integer.toString(getAvgDataBlocksPerKey()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"clusteringFactor\">"
                    + Integer.toString(getClusteringFactor()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"numRows\">"
                    + Integer.toString(getNumRows()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"generated\">"
                    + Integer.toString(getGenerated()) + "</value>\n");

            if (getTablespace() != null) {
                xml.append("<value type=\"string\" key=\"tablespace\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getTablespace()) + "</value>\n");
            }

        return xml;
    }
}
