/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.query;

public class QueryParameter extends com.mysql.grt.GrtObject {

    protected QueryParameter() {
    }

    public QueryParameter(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new QueryParameterDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new QueryParameterDataGlobal((String) obj);
        }
    }

    public int getValueInt() {
        return ((QueryParameterData) data).getValueInt();
    }

    public int setValueInt(int valueInt) {
        ((QueryParameterData) data).setValueInt(valueInt);

        return getValueInt();
    }

    public double getValueReal() {
        return ((QueryParameterData) data).getValueReal();
    }

    public double setValueReal(double valueReal) {
        ((QueryParameterData) data).setValueReal(valueReal);

        return getValueReal();
    }

    public String getParamType() {
        return ((QueryParameterData) data).getParamType();
    }

    public String setParamType(String paramType) {
        ((QueryParameterData) data).setParamType(paramType);

        return getParamType();
    }

    public String getValueStr() {
        return ((QueryParameterData) data).getValueStr();
    }

    public String setValueStr(String valueStr) {
        ((QueryParameterData) data).setValueStr(valueStr);

        return getValueStr();
    }

    public String getMasterColumnName() {
        return ((QueryParameterData) data).getMasterColumnName();
    }

    public String setMasterColumnName(String masterColumnName) {
        ((QueryParameterData) data).setMasterColumnName(masterColumnName);

        return getMasterColumnName();
    }

    public com.mysql.grt.db.query.Query getMasterQuery() {
        return ((QueryParameterData) data).getMasterQuery();
    }

    public com.mysql.grt.db.query.Query setMasterQuery(com.mysql.grt.db.query.Query masterQuery) {
        ((QueryParameterData) data).setMasterQuery(masterQuery);

        return getMasterQuery();
    }

    public String getMasterQueryById() {
        return ((QueryParameterData) data).getMasterQueryById();
    }

    public void setMasterQueryById(String masterQuery) {
        ((QueryParameterData) data).setMasterQueryById(masterQuery);
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"int\" key=\"valueInt\">"
                    + Integer.toString(getValueInt()) + "</value>\n");

            xml.append("<value type=\"real\" key=\"valueReal\">"
                    + Double.toString(getValueReal()) + "</value>\n");

            if (getParamType() != null) {
                xml.append("<value type=\"string\" key=\"paramType\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getParamType()) + "</value>\n");
            }

            if (getValueStr() != null) {
                xml.append("<value type=\"string\" key=\"valueStr\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getValueStr()) + "</value>\n");
            }

            if (getMasterColumnName() != null) {
                xml.append("<value type=\"string\" key=\"masterColumnName\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getMasterColumnName()) + "</value>\n");
            }

            if (getMasterQuery() != null) {
                xml.append("<value type=\"string\" option=\"ref\" key=\"masterQuery\">"
                        + getMasterQueryById() + "</value>\n");
            }

        return xml;
    }
}
