/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.query;

public class QueryParameterDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements QueryParameterData {

    public QueryParameterDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getValueInt() {
        return getGrtGlobalAsInt("valueInt");
    }

    public int setValueInt(int valueInt) {
        setGrtGlobalFromInt("valueInt", valueInt);

        return getValueInt();
    }

    public double getValueReal() {
        return getGrtGlobalAsReal("valueReal");
    }

    public double setValueReal(double valueReal) {
        setGrtGlobalFromReal("valueReal", valueReal);

        return getValueReal();
    }

    public String getParamType() {
        return getGrtGlobalAsString("paramType");
    }

    public String setParamType(String paramType) {
        setGrtGlobalFromString("paramType", paramType);

        return getParamType();
    }

    public String getValueStr() {
        return getGrtGlobalAsString("valueStr");
    }

    public String setValueStr(String valueStr) {
        setGrtGlobalFromString("valueStr", valueStr);

        return getValueStr();
    }

    public String getMasterColumnName() {
        return getGrtGlobalAsString("masterColumnName");
    }

    public String setMasterColumnName(String masterColumnName) {
        setGrtGlobalFromString("masterColumnName", masterColumnName);

        return getMasterColumnName();
    }

    public com.mysql.grt.db.query.Query getMasterQuery() {
        return (com.mysql.grt.db.query.Query) com.mysql.grt.Grt.getInstance().getObjectByRefId(
                getGrtGlobalAsString("masterQuery"));
    }

    public com.mysql.grt.db.query.Query setMasterQuery(com.mysql.grt.db.query.Query masterQuery) {
        setGrtGlobalFromString("masterQuery", masterQuery.get_id());

        return getMasterQuery();
    }

    public String getMasterQueryById() {
        return getGrtGlobalAsString("masterQuery");
    }

    public void setMasterQueryById(String masterQuery) {
        setGrtGlobalFromString("masterQuery", masterQuery);
    }

}
