/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.sybase;

public class SchemaDataLocal extends com.mysql.grt.db.SchemaDataLocal implements SchemaData {

    private com.mysql.grt.db.TableList tables;

    private com.mysql.grt.db.ViewList views;

    private com.mysql.grt.db.RoutineList routines;

    private com.mysql.grt.db.RoutineGroupList routineGroups;

    private com.mysql.grt.db.SynonymList synonyms;

    private com.mysql.grt.db.StructuredDatatypeList structuredTypes;

    private com.mysql.grt.db.SequenceList sequences;

    public SchemaDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public com.mysql.grt.db.TableList getTables() {
        if (tables == null)
            tables = new com.mysql.grt.db.TableList(this.grtObject);
        return tables;
    }

    public com.mysql.grt.db.TableList setTables(com.mysql.grt.db.TableList tables) {
        this.tables = tables;
        return getTables();
    }

    public com.mysql.grt.db.ViewList getViews() {
        if (views == null)
            views = new com.mysql.grt.db.ViewList(this.grtObject);
        return views;
    }

    public com.mysql.grt.db.ViewList setViews(com.mysql.grt.db.ViewList views) {
        this.views = views;
        return getViews();
    }

    public com.mysql.grt.db.RoutineList getRoutines() {
        if (routines == null)
            routines = new com.mysql.grt.db.RoutineList(this.grtObject);
        return routines;
    }

    public com.mysql.grt.db.RoutineList setRoutines(com.mysql.grt.db.RoutineList routines) {
        this.routines = routines;
        return getRoutines();
    }

    public com.mysql.grt.db.RoutineGroupList getRoutineGroups() {
        if (routineGroups == null)
            routineGroups = new com.mysql.grt.db.RoutineGroupList(this.grtObject);
        return routineGroups;
    }

    public com.mysql.grt.db.RoutineGroupList setRoutineGroups(com.mysql.grt.db.RoutineGroupList routineGroups) {
        this.routineGroups = routineGroups;
        return getRoutineGroups();
    }

    public com.mysql.grt.db.SynonymList getSynonyms() {
        if (synonyms == null)
            synonyms = new com.mysql.grt.db.SynonymList(this.grtObject);
        return synonyms;
    }

    public com.mysql.grt.db.SynonymList setSynonyms(com.mysql.grt.db.SynonymList synonyms) {
        this.synonyms = synonyms;
        return getSynonyms();
    }

    public com.mysql.grt.db.StructuredDatatypeList getStructuredTypes() {
        if (structuredTypes == null)
            structuredTypes = new com.mysql.grt.db.StructuredDatatypeList(this.grtObject);
        return structuredTypes;
    }

    public com.mysql.grt.db.StructuredDatatypeList setStructuredTypes(com.mysql.grt.db.StructuredDatatypeList structuredTypes) {
        this.structuredTypes = structuredTypes;
        return getStructuredTypes();
    }

    public com.mysql.grt.db.SequenceList getSequences() {
        if (sequences == null)
            sequences = new com.mysql.grt.db.SequenceList(this.grtObject);
        return sequences;
    }

    public com.mysql.grt.db.SequenceList setSequences(com.mysql.grt.db.SequenceList sequences) {
        this.sequences = sequences;
        return getSequences();
    }

}
