/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.workbench;

public class RoutinesElement extends com.mysql.grt.model.Element {

    protected RoutinesElement() {
    }

    public RoutinesElement(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new RoutinesElementDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new RoutinesElementDataGlobal((String) obj);
        }
    }

    public com.mysql.grt.db.RoutineGroup getRoutineGroup() {
        return ((RoutinesElementData) data).getRoutineGroup();
    }

    public com.mysql.grt.db.RoutineGroup setRoutineGroup(com.mysql.grt.db.RoutineGroup routineGroup) {
        ((RoutinesElementData) data).setRoutineGroup(routineGroup);

        return getRoutineGroup();
    }

    public String getRoutineGroupById() {
        return ((RoutinesElementData) data).getRoutineGroupById();
    }

    public void setRoutineGroupById(String routineGroup) {
        ((RoutinesElementData) data).setRoutineGroupById(routineGroup);
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            if (getRoutineGroup() != null) {
                xml.append("<value type=\"string\" option=\"ref\" key=\"routineGroup\">"
                        + getRoutineGroupById() + "</value>\n");
            }

        return xml;
    }
}
