/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public class ApplicationDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements ApplicationData {

    public ApplicationDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getActive() {
        return getGrtGlobalAsInt("active");
    }

    public int setActive(int active) {
        setGrtGlobalFromInt("active", active);

        return getActive();
    }

    public int getMouseX() {
        return getGrtGlobalAsInt("mouseX");
    }

    public int setMouseX(int mouseX) {
        setGrtGlobalFromInt("mouseX", mouseX);

        return getMouseX();
    }

    public int getMouseY() {
        return getGrtGlobalAsInt("mouseY");
    }

    public int setMouseY(int mouseY) {
        setGrtGlobalFromInt("mouseY", mouseY);

        return getMouseY();
    }

    public com.mysql.grt.forms.FormList getForms() {
        return (com.mysql.grt.forms.FormList) getGrtGlobalAsObject("forms");
    }

    public com.mysql.grt.forms.FormList setForms(com.mysql.grt.forms.FormList forms) {
        setGrtGlobalFromObject("forms", forms);

        return getForms();
    }

    public com.mysql.grt.forms.Form getMainForm() {
        return (com.mysql.grt.forms.Form) com.mysql.grt.Grt.getInstance().getObjectByRefId(
                getGrtGlobalAsString("mainForm"));
    }

    public com.mysql.grt.forms.Form setMainForm(com.mysql.grt.forms.Form mainForm) {
        setGrtGlobalFromString("mainForm", mainForm.get_id());

        return getMainForm();
    }

    public String getMainFormById() {
        return getGrtGlobalAsString("mainForm");
    }

    public void setMainFormById(String mainForm) {
        setGrtGlobalFromString("mainForm", mainForm);
    }

    public com.mysql.grt.forms.Form getActiveForm() {
        return (com.mysql.grt.forms.Form) com.mysql.grt.Grt.getInstance().getObjectByRefId(
                getGrtGlobalAsString("activeForm"));
    }

    public com.mysql.grt.forms.Form setActiveForm(com.mysql.grt.forms.Form activeForm) {
        setGrtGlobalFromString("activeForm", activeForm.get_id());

        return getActiveForm();
    }

    public String getActiveFormById() {
        return getGrtGlobalAsString("activeForm");
    }

    public void setActiveFormById(String activeForm) {
        setGrtGlobalFromString("activeForm", activeForm);
    }

}
