/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public class Button extends com.mysql.grt.forms.Widget {

    protected Button() {
    }

    public Button(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new ButtonDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new ButtonDataGlobal((String) obj);
        }
    }

    public int getIsDefault() {
        return ((ButtonData) data).getIsDefault();
    }

    public int setIsDefault(int isDefault) {
        ((ButtonData) data).setIsDefault(isDefault);

        return getIsDefault();
    }

    public String getIcon() {
        return ((ButtonData) data).getIcon();
    }

    public String setIcon(String icon) {
        ((ButtonData) data).setIcon(icon);

        return getIcon();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"int\" key=\"isDefault\">"
                    + Integer.toString(getIsDefault()) + "</value>\n");

            if (getIcon() != null) {
                xml.append("<value type=\"string\" key=\"icon\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getIcon()) + "</value>\n");
            }

        return xml;
    }
}
