/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public class Radiobutton extends com.mysql.grt.forms.Widget {

    protected Radiobutton() {
    }

    public Radiobutton(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new RadiobuttonDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new RadiobuttonDataGlobal((String) obj);
        }
    }

    public int getGroup() {
        return ((RadiobuttonData) data).getGroup();
    }

    public int setGroup(int group) {
        ((RadiobuttonData) data).setGroup(group);

        return getGroup();
    }

    public int getChecked() {
        return ((RadiobuttonData) data).getChecked();
    }

    public int setChecked(int checked) {
        ((RadiobuttonData) data).setChecked(checked);

        return getChecked();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"int\" key=\"group\">"
                    + Integer.toString(getGroup()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"checked\">"
                    + Integer.toString(getChecked()) + "</value>\n");

        return xml;
    }
}
