/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public class Widget extends com.mysql.grt.GrtObject {

    protected Widget() {
    }

    public Widget(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new WidgetDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new WidgetDataGlobal((String) obj);
        }
    }

    public int getLeft() {
        return ((WidgetData) data).getLeft();
    }

    public int setLeft(int left) {
        ((WidgetData) data).setLeft(left);

        return getLeft();
    }

    public int getTop() {
        return ((WidgetData) data).getTop();
    }

    public int setTop(int top) {
        ((WidgetData) data).setTop(top);

        return getTop();
    }

    public int getWidth() {
        return ((WidgetData) data).getWidth();
    }

    public int setWidth(int width) {
        ((WidgetData) data).setWidth(width);

        return getWidth();
    }

    public int getHeight() {
        return ((WidgetData) data).getHeight();
    }

    public int setHeight(int height) {
        ((WidgetData) data).setHeight(height);

        return getHeight();
    }

    public int getAutosize() {
        return ((WidgetData) data).getAutosize();
    }

    public int setAutosize(int autosize) {
        ((WidgetData) data).setAutosize(autosize);

        return getAutosize();
    }

    public int getEnabled() {
        return ((WidgetData) data).getEnabled();
    }

    public int setEnabled(int enabled) {
        ((WidgetData) data).setEnabled(enabled);

        return getEnabled();
    }

    public int getVisible() {
        return ((WidgetData) data).getVisible();
    }

    public int setVisible(int visible) {
        ((WidgetData) data).setVisible(visible);

        return getVisible();
    }

    public String getCaption() {
        return ((WidgetData) data).getCaption();
    }

    public String setCaption(String caption) {
        ((WidgetData) data).setCaption(caption);

        return getCaption();
    }

    public String getColor() {
        return ((WidgetData) data).getColor();
    }

    public String setColor(String color) {
        ((WidgetData) data).setColor(color);

        return getColor();
    }

    public String getEventOnClick() {
        return ((WidgetData) data).getEventOnClick();
    }

    public String setEventOnClick(String eventOnClick) {
        ((WidgetData) data).setEventOnClick(eventOnClick);

        return getEventOnClick();
    }

    public String getEventOnDblClick() {
        return ((WidgetData) data).getEventOnDblClick();
    }

    public String setEventOnDblClick(String eventOnDblClick) {
        ((WidgetData) data).setEventOnDblClick(eventOnDblClick);

        return getEventOnDblClick();
    }

    public String getEventOnResize() {
        return ((WidgetData) data).getEventOnResize();
    }

    public String setEventOnResize(String eventOnResize) {
        ((WidgetData) data).setEventOnResize(eventOnResize);

        return getEventOnResize();
    }

    public String getEventOnMouseDown() {
        return ((WidgetData) data).getEventOnMouseDown();
    }

    public String setEventOnMouseDown(String eventOnMouseDown) {
        ((WidgetData) data).setEventOnMouseDown(eventOnMouseDown);

        return getEventOnMouseDown();
    }

    public String getEventOnMouseMove() {
        return ((WidgetData) data).getEventOnMouseMove();
    }

    public String setEventOnMouseMove(String eventOnMouseMove) {
        ((WidgetData) data).setEventOnMouseMove(eventOnMouseMove);

        return getEventOnMouseMove();
    }

    public String getEventOnMouseUp() {
        return ((WidgetData) data).getEventOnMouseUp();
    }

    public String setEventOnMouseUp(String eventOnMouseUp) {
        ((WidgetData) data).setEventOnMouseUp(eventOnMouseUp);

        return getEventOnMouseUp();
    }

    public String getEventOnMouseIn() {
        return ((WidgetData) data).getEventOnMouseIn();
    }

    public String setEventOnMouseIn(String eventOnMouseIn) {
        ((WidgetData) data).setEventOnMouseIn(eventOnMouseIn);

        return getEventOnMouseIn();
    }

    public String getEventOnMouseOut() {
        return ((WidgetData) data).getEventOnMouseOut();
    }

    public String setEventOnMouseOut(String eventOnMouseOut) {
        ((WidgetData) data).setEventOnMouseOut(eventOnMouseOut);

        return getEventOnMouseOut();
    }

    public String getEventOnKeyDown() {
        return ((WidgetData) data).getEventOnKeyDown();
    }

    public String setEventOnKeyDown(String eventOnKeyDown) {
        ((WidgetData) data).setEventOnKeyDown(eventOnKeyDown);

        return getEventOnKeyDown();
    }

    public String getEventOnKeyUp() {
        return ((WidgetData) data).getEventOnKeyUp();
    }

    public String setEventOnKeyUp(String eventOnKeyUp) {
        ((WidgetData) data).setEventOnKeyUp(eventOnKeyUp);

        return getEventOnKeyUp();
    }

    public com.mysql.grt.forms.Anchors getAnchors() {
        return ((WidgetData) data).getAnchors();
    }

    public com.mysql.grt.forms.Anchors setAnchors(com.mysql.grt.forms.Anchors anchors) {
        ((WidgetData) data).setAnchors(anchors);

        return getAnchors();
    }

    public com.mysql.grt.forms.Constraints getConstraints() {
        return ((WidgetData) data).getConstraints();
    }

    public com.mysql.grt.forms.Constraints setConstraints(com.mysql.grt.forms.Constraints constraints) {
        ((WidgetData) data).setConstraints(constraints);

        return getConstraints();
    }

    public com.mysql.grt.forms.WidgetList getControls() {
        return ((WidgetData) data).getControls();
    }

    public com.mysql.grt.forms.WidgetList setControls(com.mysql.grt.forms.WidgetList controls) {
        ((WidgetData) data).setControls(controls);

        return getControls();
    }

    public com.mysql.grt.forms.Widget getParent() {
        return ((WidgetData) data).getParent();
    }

    public com.mysql.grt.forms.Widget setParent(com.mysql.grt.forms.Widget parent) {
        ((WidgetData) data).setParent(parent);

        return getParent();
    }

    public String getParentById() {
        return ((WidgetData) data).getParentById();
    }

    public void setParentById(String parent) {
        ((WidgetData) data).setParentById(parent);
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"int\" key=\"left\">"
                    + Integer.toString(getLeft()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"top\">"
                    + Integer.toString(getTop()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"width\">"
                    + Integer.toString(getWidth()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"height\">"
                    + Integer.toString(getHeight()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"autosize\">"
                    + Integer.toString(getAutosize()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"enabled\">"
                    + Integer.toString(getEnabled()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"visible\">"
                    + Integer.toString(getVisible()) + "</value>\n");

            if (getCaption() != null) {
                xml.append("<value type=\"string\" key=\"caption\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getCaption()) + "</value>\n");
            }

            if (getColor() != null) {
                xml.append("<value type=\"string\" key=\"color\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getColor()) + "</value>\n");
            }

            if (getEventOnClick() != null) {
                xml.append("<value type=\"string\" key=\"eventOnClick\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getEventOnClick()) + "</value>\n");
            }

            if (getEventOnDblClick() != null) {
                xml.append("<value type=\"string\" key=\"eventOnDblClick\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getEventOnDblClick()) + "</value>\n");
            }

            if (getEventOnResize() != null) {
                xml.append("<value type=\"string\" key=\"eventOnResize\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getEventOnResize()) + "</value>\n");
            }

            if (getEventOnMouseDown() != null) {
                xml.append("<value type=\"string\" key=\"eventOnMouseDown\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getEventOnMouseDown()) + "</value>\n");
            }

            if (getEventOnMouseMove() != null) {
                xml.append("<value type=\"string\" key=\"eventOnMouseMove\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getEventOnMouseMove()) + "</value>\n");
            }

            if (getEventOnMouseUp() != null) {
                xml.append("<value type=\"string\" key=\"eventOnMouseUp\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getEventOnMouseUp()) + "</value>\n");
            }

            if (getEventOnMouseIn() != null) {
                xml.append("<value type=\"string\" key=\"eventOnMouseIn\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getEventOnMouseIn()) + "</value>\n");
            }

            if (getEventOnMouseOut() != null) {
                xml.append("<value type=\"string\" key=\"eventOnMouseOut\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getEventOnMouseOut()) + "</value>\n");
            }

            if (getEventOnKeyDown() != null) {
                xml.append("<value type=\"string\" key=\"eventOnKeyDown\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getEventOnKeyDown()) + "</value>\n");
            }

            if (getEventOnKeyUp() != null) {
                xml.append("<value type=\"string\" key=\"eventOnKeyUp\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getEventOnKeyUp()) + "</value>\n");
            }

            if (getControls() != null) {
                getControls().getGrtXml(xml, " key=\"controls\"");
            }

            if (getAnchors() != null) {
                getAnchors().getGrtXml(xml, " key=\"anchors\"");
            }

            if (getConstraints() != null) {
                getConstraints().getGrtXml(xml, " key=\"constraints\"");
            }

            if (getParent() != null) {
                xml.append("<value type=\"string\" option=\"ref\" key=\"parent\">"
                        + getParentById() + "</value>\n");
            }

        return xml;
    }
}
