/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public class WidgetDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements WidgetData {

    public WidgetDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getLeft() {
        return getGrtGlobalAsInt("left");
    }

    public int setLeft(int left) {
        setGrtGlobalFromInt("left", left);

        return getLeft();
    }

    public int getTop() {
        return getGrtGlobalAsInt("top");
    }

    public int setTop(int top) {
        setGrtGlobalFromInt("top", top);

        return getTop();
    }

    public int getWidth() {
        return getGrtGlobalAsInt("width");
    }

    public int setWidth(int width) {
        setGrtGlobalFromInt("width", width);

        return getWidth();
    }

    public int getHeight() {
        return getGrtGlobalAsInt("height");
    }

    public int setHeight(int height) {
        setGrtGlobalFromInt("height", height);

        return getHeight();
    }

    public int getAutosize() {
        return getGrtGlobalAsInt("autosize");
    }

    public int setAutosize(int autosize) {
        setGrtGlobalFromInt("autosize", autosize);

        return getAutosize();
    }

    public int getEnabled() {
        return getGrtGlobalAsInt("enabled");
    }

    public int setEnabled(int enabled) {
        setGrtGlobalFromInt("enabled", enabled);

        return getEnabled();
    }

    public int getVisible() {
        return getGrtGlobalAsInt("visible");
    }

    public int setVisible(int visible) {
        setGrtGlobalFromInt("visible", visible);

        return getVisible();
    }

    public String getCaption() {
        return getGrtGlobalAsString("caption");
    }

    public String setCaption(String caption) {
        setGrtGlobalFromString("caption", caption);

        return getCaption();
    }

    public String getColor() {
        return getGrtGlobalAsString("color");
    }

    public String setColor(String color) {
        setGrtGlobalFromString("color", color);

        return getColor();
    }

    public String getEventOnClick() {
        return getGrtGlobalAsString("eventOnClick");
    }

    public String setEventOnClick(String eventOnClick) {
        setGrtGlobalFromString("eventOnClick", eventOnClick);

        return getEventOnClick();
    }

    public String getEventOnDblClick() {
        return getGrtGlobalAsString("eventOnDblClick");
    }

    public String setEventOnDblClick(String eventOnDblClick) {
        setGrtGlobalFromString("eventOnDblClick", eventOnDblClick);

        return getEventOnDblClick();
    }

    public String getEventOnResize() {
        return getGrtGlobalAsString("eventOnResize");
    }

    public String setEventOnResize(String eventOnResize) {
        setGrtGlobalFromString("eventOnResize", eventOnResize);

        return getEventOnResize();
    }

    public String getEventOnMouseDown() {
        return getGrtGlobalAsString("eventOnMouseDown");
    }

    public String setEventOnMouseDown(String eventOnMouseDown) {
        setGrtGlobalFromString("eventOnMouseDown", eventOnMouseDown);

        return getEventOnMouseDown();
    }

    public String getEventOnMouseMove() {
        return getGrtGlobalAsString("eventOnMouseMove");
    }

    public String setEventOnMouseMove(String eventOnMouseMove) {
        setGrtGlobalFromString("eventOnMouseMove", eventOnMouseMove);

        return getEventOnMouseMove();
    }

    public String getEventOnMouseUp() {
        return getGrtGlobalAsString("eventOnMouseUp");
    }

    public String setEventOnMouseUp(String eventOnMouseUp) {
        setGrtGlobalFromString("eventOnMouseUp", eventOnMouseUp);

        return getEventOnMouseUp();
    }

    public String getEventOnMouseIn() {
        return getGrtGlobalAsString("eventOnMouseIn");
    }

    public String setEventOnMouseIn(String eventOnMouseIn) {
        setGrtGlobalFromString("eventOnMouseIn", eventOnMouseIn);

        return getEventOnMouseIn();
    }

    public String getEventOnMouseOut() {
        return getGrtGlobalAsString("eventOnMouseOut");
    }

    public String setEventOnMouseOut(String eventOnMouseOut) {
        setGrtGlobalFromString("eventOnMouseOut", eventOnMouseOut);

        return getEventOnMouseOut();
    }

    public String getEventOnKeyDown() {
        return getGrtGlobalAsString("eventOnKeyDown");
    }

    public String setEventOnKeyDown(String eventOnKeyDown) {
        setGrtGlobalFromString("eventOnKeyDown", eventOnKeyDown);

        return getEventOnKeyDown();
    }

    public String getEventOnKeyUp() {
        return getGrtGlobalAsString("eventOnKeyUp");
    }

    public String setEventOnKeyUp(String eventOnKeyUp) {
        setGrtGlobalFromString("eventOnKeyUp", eventOnKeyUp);

        return getEventOnKeyUp();
    }

    public com.mysql.grt.forms.Anchors getAnchors() {
        return (com.mysql.grt.forms.Anchors) getGrtGlobalAsObject("anchors");

    }

    public com.mysql.grt.forms.Anchors setAnchors(com.mysql.grt.forms.Anchors anchors) {
        setGrtGlobalFromObject("anchors", anchors);

        return getAnchors();
    }

    public com.mysql.grt.forms.Constraints getConstraints() {
        return (com.mysql.grt.forms.Constraints) getGrtGlobalAsObject("constraints");

    }

    public com.mysql.grt.forms.Constraints setConstraints(com.mysql.grt.forms.Constraints constraints) {
        setGrtGlobalFromObject("constraints", constraints);

        return getConstraints();
    }

    public com.mysql.grt.forms.WidgetList getControls() {
        return (com.mysql.grt.forms.WidgetList) getGrtGlobalAsObject("controls");
    }

    public com.mysql.grt.forms.WidgetList setControls(com.mysql.grt.forms.WidgetList controls) {
        setGrtGlobalFromObject("controls", controls);

        return getControls();
    }

    public com.mysql.grt.forms.Widget getParent() {
        return (com.mysql.grt.forms.Widget) com.mysql.grt.Grt.getInstance().getObjectByRefId(
                getGrtGlobalAsString("parent"));
    }

    public com.mysql.grt.forms.Widget setParent(com.mysql.grt.forms.Widget parent) {
        setGrtGlobalFromString("parent", parent.get_id());

        return getParent();
    }

    public String getParentById() {
        return getGrtGlobalAsString("parent");
    }

    public void setParentById(String parent) {
        setGrtGlobalFromString("parent", parent);
    }

}
