/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.model;

public interface LayerData extends com.mysql.grt.GrtObjectData {

    public int getEnabled();

    public int setEnabled(int enabled);

    public int getVisible();

    public int setVisible(int visible);

    public double getLeft();

    public double setLeft(double left);

    public double getTop();

    public double setTop(double top);

    public double getWidth();

    public double setWidth(double width);

    public double getHeight();

    public double setHeight(double height);

    public String getDescription();

    public String setDescription(String description);

    public com.mysql.grt.model.GroupList getGroups();

    public com.mysql.grt.model.GroupList setGroups(com.mysql.grt.model.GroupList groups);

    public com.mysql.grt.model.LayerList getSubLayers();

    public com.mysql.grt.model.LayerList setSubLayers(com.mysql.grt.model.LayerList subLayers);

    public com.mysql.grt.model.ElementList getElements();

    public com.mysql.grt.model.ElementList setElements(com.mysql.grt.model.ElementList elements);

}
