/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.model;

public class LayerDataLocal extends com.mysql.grt.GrtObjectDataLocal implements LayerData {

    private int enabled;

    private int visible;

    private double left;

    private double top;

    private double width;

    private double height;

    private String description;

    private com.mysql.grt.model.GroupList groups;

    private com.mysql.grt.model.LayerList subLayers;

    private com.mysql.grt.model.ElementList elements;

    public LayerDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getEnabled() {
        return enabled;
    }

    public int setEnabled(int enabled) {
        this.enabled = enabled;

        return getEnabled();
    }

    public int getVisible() {
        return visible;
    }

    public int setVisible(int visible) {
        this.visible = visible;

        return getVisible();
    }

    public double getLeft() {
        return left;
    }

    public double setLeft(double left) {
        this.left = left;

        return getLeft();
    }

    public double getTop() {
        return top;
    }

    public double setTop(double top) {
        this.top = top;

        return getTop();
    }

    public double getWidth() {
        return width;
    }

    public double setWidth(double width) {
        this.width = width;

        return getWidth();
    }

    public double getHeight() {
        return height;
    }

    public double setHeight(double height) {
        this.height = height;

        return getHeight();
    }

    public String getDescription() {
        return description;
    }

    public String setDescription(String description) {
        this.description = description;

        return getDescription();
    }

    public com.mysql.grt.model.GroupList getGroups() {
        if (groups == null)
            groups = new com.mysql.grt.model.GroupList(this.grtObject);
        return groups;
    }

    public com.mysql.grt.model.GroupList setGroups(com.mysql.grt.model.GroupList groups) {
        this.groups = groups;
        return getGroups();
    }

    public com.mysql.grt.model.LayerList getSubLayers() {
        if (subLayers == null)
            subLayers = new com.mysql.grt.model.LayerList(this.grtObject);
        return subLayers;
    }

    public com.mysql.grt.model.LayerList setSubLayers(com.mysql.grt.model.LayerList subLayers) {
        this.subLayers = subLayers;
        return getSubLayers();
    }

    public com.mysql.grt.model.ElementList getElements() {
        if (elements == null)
            elements = new com.mysql.grt.model.ElementList(this.grtObject);
        return elements;
    }

    public com.mysql.grt.model.ElementList setElements(com.mysql.grt.model.ElementList elements) {
        this.elements = elements;
        return getElements();
    }

}
