/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.model;

public class ViewDataLocal extends com.mysql.grt.GrtObjectDataLocal implements ViewData {

    private double zoom;

    private double x;

    private double y;

    private double width;

    private double height;

    private String description;

    private String elementLayoutClass;

    private String connectionLayoutClass;

    private com.mysql.grt.model.ElementList elements;

    private com.mysql.grt.model.LayerList layers;

    private com.mysql.grt.model.ElementList selection;

    private String rootLayer;

    public ViewDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public double getZoom() {
        return zoom;
    }

    public double setZoom(double zoom) {
        this.zoom = zoom;

        return getZoom();
    }

    public double getX() {
        return x;
    }

    public double setX(double x) {
        this.x = x;

        return getX();
    }

    public double getY() {
        return y;
    }

    public double setY(double y) {
        this.y = y;

        return getY();
    }

    public double getWidth() {
        return width;
    }

    public double setWidth(double width) {
        this.width = width;

        return getWidth();
    }

    public double getHeight() {
        return height;
    }

    public double setHeight(double height) {
        this.height = height;

        return getHeight();
    }

    public String getDescription() {
        return description;
    }

    public String setDescription(String description) {
        this.description = description;

        return getDescription();
    }

    public String getElementLayoutClass() {
        return elementLayoutClass;
    }

    public String setElementLayoutClass(String elementLayoutClass) {
        this.elementLayoutClass = elementLayoutClass;

        return getElementLayoutClass();
    }

    public String getConnectionLayoutClass() {
        return connectionLayoutClass;
    }

    public String setConnectionLayoutClass(String connectionLayoutClass) {
        this.connectionLayoutClass = connectionLayoutClass;

        return getConnectionLayoutClass();
    }

    public com.mysql.grt.model.ElementList getElements() {
        if (elements == null)
            elements = new com.mysql.grt.model.ElementList(this.grtObject);
        return elements;
    }

    public com.mysql.grt.model.ElementList setElements(com.mysql.grt.model.ElementList elements) {
        this.elements = elements;
        return getElements();
    }

    public com.mysql.grt.model.LayerList getLayers() {
        if (layers == null)
            layers = new com.mysql.grt.model.LayerList(this.grtObject);
        return layers;
    }

    public com.mysql.grt.model.LayerList setLayers(com.mysql.grt.model.LayerList layers) {
        this.layers = layers;
        return getLayers();
    }

    public com.mysql.grt.model.ElementList getSelection() {
        if (selection == null)
            selection = new com.mysql.grt.model.ElementList(this.grtObject);
        return selection;
    }

    public com.mysql.grt.model.ElementList setSelection(com.mysql.grt.model.ElementList selection) {
        this.selection = selection;
        return getSelection();
    }

    public com.mysql.grt.model.Layer getRootLayer() {
        return (com.mysql.grt.model.Layer) com.mysql.grt.Grt.getInstance().getObjectByRefId(rootLayer);
    }

    public com.mysql.grt.model.Layer setRootLayer(com.mysql.grt.model.Layer rootLayer) {
        this.rootLayer = rootLayer.get_id();
        return getRootLayer();
    }

    public String getRootLayerById() {
        return rootLayer;
    }

    public void setRootLayerById(String rootLayer) {
        this.rootLayer = rootLayer;
    }

}
